Page MenuHomePhabricator

T10. Board deletion action does not appear in tabs
Closed, ResolvedPublic0 Story Points

Description

There is no 'delete' tab on boards even if you have permission, although you can navigate directly to the deletion action.

Related Objects

Event Timeline

Mattflaschen-WMF raised the priority of this task from to High.
Mattflaschen-WMF lowered the priority of this task from High to Normal.
Mattflaschen-WMF updated the task description. (Show Details)
Mattflaschen-WMF renamed this task from Deletion action does not appear in tabs to Board deletion action does not appear in tabs.Feb 28 2015, 4:39 AM
DannyH edited a custom field.Mar 2 2015, 7:16 PM

Change 197638 had a related patch set uploaded (by Matthias Mullie):
Allow delete link in menu

https://gerrit.wikimedia.org/r/197638

Change 197638 merged by jenkins-bot:
Allow delete link in menu

https://gerrit.wikimedia.org/r/197638

Change 198230 had a related patch set uploaded (by Matthias Mullie):
Allow delete link in menu

https://gerrit.wikimedia.org/r/198230

Which patches exactly are blocking this? We should mark them in the ticket.

DannyH renamed this task from Board deletion action does not appear in tabs to T10. Board deletion action does not appear in tabs.Mar 25 2015, 7:37 PM
DannyH raised the priority of this task from Normal to High.

I think perhaps the blockers need to be reordered, and this patch should be blocking T90077 rather than being blocked by it? Basically what I'm getting at is i'm not sure at what point i can actually merge this patch.

It looks like T90974 is the last ticket blocking this from being merged

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptApr 7 2015, 8:52 PM

Should also be on Topic pages, for easy discoverability by stressed admins. Is this already part of it? Separate task needed?

Should also be on Topic pages, for easy discoverability by stressed admins. Is this already part of it? Separate task needed?

People are likely to assume a 'Delete' tab on the topic page deletes the topic, so if we have such a tab, that's what I think it should do (I put up a patch earlier that blocks core deletion for a topic page, but it should really map to the internal topic deletion action; see T91150).

In other words, I don't think a delete tab on the topic page should delete the whole board.

Yes, I agree -- delete on the topic page should just delete the topic.

Change 198230 merged by jenkins-bot:
Allow delete link in menu

https://gerrit.wikimedia.org/r/198230

DannyH closed this task as Resolved.EditedMay 7 2015, 7:26 PM

Works in production on Mediawiki.org now.